﻿<%@ Page Language="C#" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>How to preserve the original RadGrid selected/hover row background when using ItemStyle-BackColor</title>
<style type="text/css">

.RadGrid_Office2007 .rgSelectedRow
{
	background-color:#ffcb60 !important;
}

.RadGrid_Office2007 .rgHoveredRow,
.RadGrid_Office2007 .rgActiveRow
{
	background-color:#ecf4ff !important;
}

</style>
</head>
<body>
<form id="form1" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server" />

<h1>How to preserve the original RadGrid selected/hover row background when using ItemStyle-BackColor</h1>

<p>Demo of the issue (Vista skin). Upon hover/select the custom inline BackColor will override the skin background color and the resulting background will appear corrupt.</p>

<telerik:RadGrid
	ID="RadGrid1"
	runat="server"
	Width="800px"
	Skin="Vista"
	DataSourceID="XmlDataSource1">
	<ItemStyle BackColor="#f6f6f6" />
	<AlternatingItemStyle BackColor="#ffffcc" />
	<ClientSettings EnableRowHoverStyle="true">
		<Selecting AllowRowSelect="true" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" />
</telerik:RadGrid>

<p>Demo of the solution (Office2007 skin). The hover/selected backgrounds are enforced back so that the custom inline BackColor settings are overridden.</p>

<telerik:RadGrid
	ID="RadGrid2"
	runat="server"
	Width="800px"
	Skin="Office2007"
	DataSourceID="XmlDataSource1">
	<ItemStyle BackColor="#f6f6f6" />
	<AlternatingItemStyle BackColor="#ffffcc" />
	<ClientSettings EnableRowHoverStyle="true">
		<Selecting AllowRowSelect="true" />
	</ClientSettings>
	<MasterTableView TableLayout="Fixed" />
</telerik:RadGrid>

<asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/GridDataSource.xml" />

</form>
</body>
</html>